 <div>
    <%= successful_action_msg(notice) %>
    <%= link_to 'Új könyv felvétele', new_book_path, class: 'btn btn-success' %>
    <%= link_to 'Új szerző felvétele', new_author_path, class: 'btn btn-success' %>
    <%= link_to 'Új kiadó felvétele', new_publisher_path, class: 'btn btn-success' %>
    <br><br>

    <%= form_tag search_books_path, :method => "get" do %>
      <div class="form-group">
        <label><b>Könyv keresése</b> - Szűrési feltételek </label>
        <table class="table" style="align-content: center">
          <tr>
            <td style="width: 50%"><%= text_field_tag(:title, params[:title], placeholder: "Cím", class: "form-control") %></td>
            <td colspan="2" style="width: 50%"><%= text_field_tag(:isbn, params[:isbn], placeholder: "ISBN", class: "form-control") %></td>
          </tr>
          <tr>
            <td style="width: 50%"><%= text_field_tag(:category, params[:category], placeholder: "Kategória", class: "form-control") %></td>
            <td style="width: 25%"><%= text_field_tag(:price_lower, params[:price_lower], placeholder: "Ár - Minimum", class: "form-control") %></td>
            <td style="width: 25%"><%= text_field_tag(:price_upper, params[:price_upper], placeholder: "Ár - Maximum", class: "form-control") %></td>
          </tr>
          <tr>
            <td style="width: 50%"><%= collection_select(:input, :publisher_id, Book::BOOK_WITH_PUBLISHER.all, :publisher_id, :publisher_name, { include_blank: 'Válasszon egy kiadót!'}, { :class => 'form-control' }) %></td>
            <td colspan="2" style="width: 50%"><%= collection_select(:input, :author_id, Book::BOOK_WITH_AUTHOR.all, :author_id, :author_full_name, { include_blank: 'Válasszon egy írót!'}, { :class => 'form-control' }) %></td>
          </tr>
          <tr>
            <td colspan="2" style="width: 10%" ><label>Elérhető </label>
              <%= check_box_tag(:available, "igen", checkbox_available?(@clicked, @available)) %><br>
              Találatok oldalanként
              <input id="per_page" name="per_page" min="3" max="10" type="number" class="form-control" value="<%= @per_page %>" style="width: 60px"/>
            </td>
          </tr>
          <tr>
            <td>
              <%= submit_tag "Keresés", class: "btn btn-primary" %>
            </td>
          </tr>
        </table>

      </div>
    <% end %>

    <% if @book_list.count == 0 %>
      <table class="table">
        <tr>
          <td scope="row">
            <%= show_book_message(params[:title], params[:isbn], params[:category], params[:price_lower], params[:price_upper], @input.author_id, @input.publisher_id ,params[:available]) %>
          </td>
        </tr>
      </table>
    <% end %>

    <% unless @book_list.nil? || @book_list.empty? %>
      <table>
        <tr>
          <th scope="row">
            Találatok száma: <span style = "color: green"> <%= @book_list.count %> </span>
          </th>
        </tr>
      </table>
      <br>
      <table class="table">
        <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Könyv címe</th>
          <th scope="col">Kiadó neve</th>
          <th scope="col">Kategória</th>
          <th scope="col">Könyv szerzője</th>
          <th scope="col">Ár</th>
          <th scope="col">Elérhető</th>
          <th scope="col" colspan="3" width="25%" style="text-align:center">Műveletek</th>
        </tr>
        </thead>
        <tbody>

        <% list_size = @book_list.count %>
        <% @book_list.each_with_index do |book, idx| %>
          <%= set_row_background(idx) %>
          <th scope="row"> <%= current_index(idx, list_size, @current_page, @per_page) %> </th>
          <td> <%= h book.title if book %> </td>
          <td> <%= h Publisher.find_by_id(book.publisher_id).name if book %> </td>
          <td> <%= h book.category if book %> </td>
          <td> <%= h Author.find_by_id(book.author_id).first_name + " " + Author.find_by_id(book.author_id).last_name if book %> </td>
          <td> <%= h book.price.to_s + " Ft" if book %> </td>
          <td> <%= is_available?(book.available, 30) if book %> </td>
          <td> <%= link_to 'Megtekintés',  book_path(book.id), remote: true, class: 'btn btn-info' %> </td>
          <td> <%= link_to 'Szerkesztés', edit_book_path(book.id), class: 'btn btn-warning'%> </td>
          <td> <%= link_to 'Törlés', book_path(book.id),
                           class: 'btn btn-danger',
                           method: :delete,
                           data: { confirm: "Biztosan törli a következőt?\n
    Cím: #{h book.title}
    ISBN: #{h book.isbn}
    Kategória: #{h book.category}
    Ár (HUF): #{h book.price}"} %></td>
          </tr>
        <% end %>
        </tbody>
      </table>
    <% end %>
  </div>

  <div class="row">
    <div class="col offset-4">
      <!-- ez a kódrészlet felel az egyes aloldalak linkként való megjelenítéséért -->
      <%= will_paginate @book_list, :previous_label => 'Előző', :next_label => 'Következő', renderer: WillPaginate::ActionView::Bootstrap4LinkRenderer %>
    </div>
  </div>

<!-- MODAL MEGNYITASA JS-sel - megtekintés -->
<div id='book-content'></div>

<!-- https://dev.to/morinoko/adding-custom-javascript-in-rails-6-1ke6 -->
<%= javascript_pack_tag 'message_alerts' %>
